Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79581 - Security Level screen does show iptables setting
Summary: Security Level screen does show iptables setting
Keywords:
Status: CLOSED DUPLICATE of bug 76500
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-securitylevel
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-13 17:47 UTC by H. Carter
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-21 18:50:20 UTC


Attachments (Terms of Use)

Description H. Carter 2002-12-13 17:47:22 UTC
Description of problem:
Pretty much, on the System Settings->Security Level screen, 
you want to hit "Customize", and allow eth devices, then if there
 are specific ports to allow, enter those, then hit ok.   If you 
bring up the screen again, dont expect to see your changes--Hit Cancel
 button or you will screw up your previous work.  To actually verify your
 port is open, do an iptables -L at the command line and check for your 
port(s) to be open.  

It is rather confusing that after initially changing settings on this
 screen, bringing it up again does not show the settings as you left them.
  If you added any ports these should show in the customized window below
 telnet, etc.  I understand that this is a front end to iptables, it would 
be nice if it reflected iptables settings.

Version-Release number of selected component (if applicable):
8.0

How reproducible:
Every time

Steps to Reproduce:
1.Go into Security level screen and click customize, add some ports at the 
bottom.  Click ok.
2.Do an iptables -L on command line. verify ports are open.
3.  Go back into Security level screen again---previous settings are not 
reflected---if you mistakenly click ok, you will change your iptables 
settings.  Click Cancel and verify on command line with iptables -L that your 
ports are still open. 
    
Actual results:
The first time I alter the Security level it changes the iptables settings 
correctly when you click OK. Window closes.  OPen the Security level screen 
again and it looks as if the previous execution didn't work.


Expected results:
When I bring up the Security Level and change the settings and click OK the 
iptables settings should change and window should close.
Any time after that if I bring up the Security level window, the window should 
reflect the  iptables settings by showing your previous selections.

Additional info:

Comment 1 Brent Fox 2002-12-13 19:38:24 UTC
I think you meant to say "Security Level does not show iptables setting?"


Comment 2 Brent Fox 2002-12-13 19:40:24 UTC
This also looks like a duplicate of bug 76500.

Comment 3 Brent Fox 2002-12-16 17:12:39 UTC

*** This bug has been marked as a duplicate of 76500 ***

Comment 4 Red Hat Bugzilla 2006-02-21 18:50:20 UTC
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.


Note You need to log in before you can comment on or make changes to this bug.